CVE-2005-3688
CVSS4.3
发布时间 :2005-11-18 20:03:00
修订时间 :2011-03-07 21:26:59
NMCOS    

[原文]Cross-site scripting (XSS) vulnerability in members.php in XMB 1.9.3 and earlier allows remote attackers to inject arbitrary web script or HTML via the "Your Current Mood" field in the registration page.


[CNNVD]XMB members.php跨站脚本漏洞(CNNVD-200511-270)

        XMB 是一款以MySQL用PHP编写的基于WEB的论坛程序,可使用在多种Linux和Unix操作系统下。
        XMB 1.9.3及更早版本的members.php中的跨站脚本攻击(XSS)漏洞,可让远程攻击者通过注册页面中的"Your Current Mood"字段注入任意Web脚本或HTML。

- CVSS (基础分值)

CVSS分值: 4.3 [中等(MEDIUM)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: MEDIUM [漏洞利用存在一定的访问条件]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:xmb_forum:xmb:1.8_sp1
cpe:/a:xmb_forum:xmb:1.9_beta
cpe:/a:xmb_forum:xmb:1.8_sp2
cpe:/a:xmb_forum:xmb:1.9.3
cpe:/a:xmb_forum:xmb:1.9.1
cpe:/a:xmb_forum:xmb:1.8_sp3
cpe:/a:xmb_forum:xmb:1.9.2

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-3688
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2005-3688
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200511-270
(官方数据源) CNNVD

- 其它链接及资源

http://www.vupen.com/english/advisories/2005/2488
(UNKNOWN)  VUPEN  ADV-2005-2488
http://www.securityfocus.com/bid/15489
(UNKNOWN)  BID  15489
http://www.securityfocus.com/archive/1/archive/1/417078/30/0/threaded
(UNKNOWN)  BUGTRAQ  20051117 [KAPDA::#13] - XMB HTML Injection & Path Disclosure.
http://securitytracker.com/id?1015237
(UNKNOWN)  SECTRACK  1015237
http://secunia.com/advisories/17642
(VENDOR_ADVISORY)  SECUNIA  17642
http://irannetjob.com/content/view/163/28/
(UNKNOWN)  MISC  http://irannetjob.com/content/view/163/28/

- 漏洞信息

XMB members.php跨站脚本漏洞
中危 跨站脚本
2005-11-18 00:00:00 2006-06-12 00:00:00
远程  
        XMB 是一款以MySQL用PHP编写的基于WEB的论坛程序,可使用在多种Linux和Unix操作系统下。
        XMB 1.9.3及更早版本的members.php中的跨站脚本攻击(XSS)漏洞,可让远程攻击者通过注册页面中的"Your Current Mood"字段注入任意Web脚本或HTML。

- 公告与补丁

        暂无数据

- 漏洞信息

20941
XMB member.php Your Current Mood Field XSS
Remote / Network Access Input Manipulation
Loss of Integrity Upgrade
Vendor Verified

- 漏洞描述

- 时间线

2005-11-17 Unknow
2005-11-17 Unknow

- 解决方案

Upgrade to version 1.9.8 SP2 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

XMB Forum Member.PHP HTML Injection Vulnerability
Input Validation Error 15489
Yes No
2005-11-17 12:00:00 2008-09-11 07:30:00
trueend5 <trueend5@kapda.ir> is credited with the discovery of this vulnerability.

- 受影响的程序版本

XMB Forum 1.9.3
XMB Forum 1.9.2
XMB Forum 1.9.8 SP2

- 不受影响的程序版本

XMB Forum 1.9.8 SP2

- 漏洞讨论

XMB Forum is prone to an HTML-injection vulnerability because it fails to properly sanitize user-supplied input before using it in dynamically generated content.

Attacker-supplied HTML and script code would run in the context of the affected site, potentially allowing the attacker to steal cookie-based authentication credentials or to control how the site is rendered to the user; other attacks are also possible.

- 漏洞利用

No exploit is required.

- 解决方案

A vendor update is available. Contact the vendor for more information.

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站